﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BladhusInterfaceLibrary
{
    public interface IKunde
    {
        int Kundenr { get; }
        string Navn { get; }
        string Gade { get; }
        string Postnr { get; }
        string Postby { get; }
        string Email { get; }
        void RetStamdata(string navn, string gade, string postnr, string postby, string email);

        // Create 
        IAbonnement OpretAbonnement(string betalingsform, float rabatsats, IBlad bladet);
        void SletAbonnement(IAbonnement valgtAbonnement);

        List<IAbonnement> FindAlleKundesAbonnementer();
        List<IAbonnement> FindKundesAbonnementPaaBlad(IBlad valgtBlad);     // pas lidt på ved DB og dupletter - så tjek bladnavn mod bladnavn
        List<IBlad> FindAlleKundesBlade();      // Indirekte - vi skal her kun have selve bladene
    }
}
